import { Injectable } from '@angular/core';
import { Observable } from "rxjs";
import { HttpClient, HttpHeaders, HttpParams, } from "@angular/common/http";
import { ApiRequestService } from "src/app/services/api/api-request.service";
import { environment } from 'src/environments/environment';
@Injectable({
  providedIn: 'root'
})
export class test1service {

  private StepperURL = "Stepper_table_config/Stepper_table_config";

  private Test2URL = "Test2/Test2";
  private BasicpURL = "Basicp/Basicp";

  constructor(
    private http: HttpClient,
    private apiRequest: ApiRequestService,
  ) { }

  gettabledata(id: number): Observable<any> {
    const _http = this.StepperURL + "/stepId/" + id;
    return this.apiRequest.get(_http);
  }

  saveStepperConfig(stepperId: number, tableId: number, tableName: string): Observable<any> {
    const params = new HttpParams()
      .set('stepperId', stepperId.toString())
      .set('tableId', tableId.toString())
      .set('tableName', tableName);

    return this.apiRequest.post(this.StepperURL, null, params); // null body, params used
  }


  getAllTest2(page?: number, size?: number): Observable<any> {
    return this.apiRequest.get(this.Test2URL);
  }
  getTest2ById(id: number): Observable<any> {
    const _http = this.Test2URL + "/" + id;
    return this.apiRequest.get(_http);
  }
  createTest2(data: any): Observable<any> {
    return this.apiRequest.post(this.Test2URL, data);
  }
  updateTest2(id: number, data: any): Observable<any> {
    const _http = this.Test2URL + "/" + id;
    return this.apiRequest.put(_http, data);
  }
  deleteTest2(id: number): Observable<any> {
    const _http = this.Test2URL + "/" + id;
    return this.apiRequest.delete(_http);
  }






  getAllBasicp(page?: number, size?: number): Observable<any> {
    return this.apiRequest.get(this.BasicpURL);
  }
  getBasicpById(id: number): Observable<any> {
    const _http = this.BasicpURL + "/" + id;
    return this.apiRequest.get(_http);
  }
  createBasicp(data: any): Observable<any> {
    return this.apiRequest.post(this.BasicpURL, data);
  }
  updateBasicp(id: number, data: any): Observable<any> {
    const _http = this.BasicpURL + "/" + id;
    return this.apiRequest.put(_http, data);
  }
  deleteBasicp(id: number): Observable<any> {
    const _http = this.BasicpURL + "/" + id;
    return this.apiRequest.delete(_http);
  }




  // updateaction
}